/*
Theme Name: Coherence Child
Theme URI: http://weshore.com/
Author: Weshore Themes
Author URI: https://weshore.com
Template: coherence
Description: Smart, Powerful and Unlimited Customizable WordPress Theme.
Version: 1.0
License: Private License
License URI: license.txt
Text Domain: coherence-child
Tags: responsive, retina, rtl-language-support, blog, portfolio, custom-colors, live-editor
*/



/*-----------------------------------------***style header***----------------------------------*/
.section-footer .menu-icon-home>a i {
    display: none !important;
}

div#btn-pdf {
    rotate: -90deg;
    transform: translate(0, 173%);
}

.section-header .coherence-core-nav-menu .menu-icon-rs {
    margin-inline: 5px !important;
}

.section-header .coherence-core-nav-menu .menu-icon-rs>a {
    padding-inline: 5px !important;
}

@media only screen and (min-width: 1025px) {
    .section-header .menu-icon-home>a span {
        display: none;
    }

    #site-header .img-logo-site,
    #site-header .coherence-core-menu-item {
        position: relative;
    }

    #site-header .img-logo-site:before {
        content: "";
        position: absolute;
        width: 1px;
        height: 100%;
        right: -35%;
        top: 0;
        background-color: #1E1E1E;
        opacity: 0.5;
    }

    #site-header .current_page_item .coherence-core-menu-item {
        font-weight: 700;
    }

    #site-header .current_page_item .coherence-core-menu-item:before {
        content: "";
        position: absolute;
        width: 80%;
        height: 3px;
        background-color: var(--e-global-color-color_1);
        left: 50%;
        transform: translatex(-50%);
        bottom: 5px;
        z-index: 10;
        opacity: 1;
    }
}

@media only screen and (max-width: 1024px) {
    .section-header .menu-icon-home>a i {
        display: none !important;
    }

    .section-header .coherence-core-dropdown .menu-icon-rs {
        display: none !important;
    }
}

/******** Devis form style *********/

body .devis-form textarea{
	width:100% !important
}


body .devis-form .devisPictosTitle {
    display: none !important
}

body .devis-form li.type-projet {
    display: none !important;
}

body .devis-form .devisPictos {
    display: flex;
    flex-direction: column;
    align-content: center;
    justify-content: center;
    align-items: center;
}

body .devis-form .pictoBox {
	display: grid;
    width: 100%;
    gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
}

body .devis-form .pictoBox>div {
    display: flex;
    flex-direction: column;
    flex: 24% 0 0;
    padding: 28px 31px;
    background-color: var(--e-global-color-color_3);
    border-radius: 16px;
    color: var(--e-global-color-color_1);
    gap: 20px;
    align-items: center;
	transition:all 0.2s ease-in-out !important
}

body .devis-form .pictoBox>div>img {
    width: 48px;
    aspect-ratio: 1 / 1;
    filter: brightness(0) saturate(100%) invert(15%) sepia(25%) saturate(6601%) hue-rotate(205deg) brightness(98%) contrast(105%);
}

body .devis-form .pictoBox>div.active {
    background-color: var(--e-global-color-color_1);
    color: var(--e-global-color-color_white)
}

body .devis-form .pictoBox>div:hover {
    background-color: var(--e-global-color-color_1);
    color: var(--e-global-color-color_white)
}

body .devis-form .pictoBox>div:hover > img {
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(2%) hue-rotate(323deg) brightness(103%) contrast(101%); !important;
}

body .devis-form .pictoBox>div h3 {
    color: currentColor;
    font-weight: 800
}

body .devis-form .pictoBox>div.active>img {
    filter: brightness(0) saturate(100%) invert(100%) sepia(0%) saturate(2%) hue-rotate(323deg) brightness(103%) contrast(101%);
}

body .devis-form .gform_body>ul>.devisPictos {
    margin-bottom: 40px
}

body .devis-form .ginput_container :is(select, input) {
    border: none !important;
    border-bottom: 1px solid var(--e-global-color-color_1) !important;
    border-radius: 0 !important;
    padding: 0;
}

body .devis-form .file-width-100 {
    width: 100% !important
}

body .devis-form :is(.file-width-100, .file-input) input {
    padding: 2% !important;
    background-color: var(--e-global-color-color_3) !important;
    border-bottom: none !important
}


body .devis-form :is(.file-width-100, .file-input) input[type="file"]::file-selector-button {
    background-color: white !important;
    border-radius: 500px !important;
    border: none !important;
    padding: 10px !important
}

body .devis-form .text-width-100 {
    width: 100% !important
}

body .devis-form .select-width-100 {
    width: 100% !important
}

body input#gform_submit_button_1 {
    padding: 20px 35px;
    color: var(--e-global-color-color_white);
    border-radius: 500px;
}

body input#gform_submit_button_1:hover {
    background-color: var(--e-global-color-color_2);
}

label.gfield_label.gform-field-label {
    font-family: "Inter", Sans-serif;
    color: var(--e-global-color-color_black);
}

body .devis-form .gform_wrapper .validation_error,
body .devis-form .gform_wrapper .gfield_error {
    color: var(--e-global-color-color_error) !important;
    border-color: var(--e-global-color-color_error) !important;
}

body .devis-form .gform_submission_error,
body .devis-form .validation_message
{
	color: var(--e-global-color-color_error) !important;
}

body .devis-form .ginput_container :is(textarea, input[type="text"], select):focus {
    color: var(--e-global-color-color_black);
}

div#gform_confirmation_message_1 {
    text-align: center;
    color: var(--e-global-color-color_black);
    font-size: clamp(18px, 4vw, 25px);
}

/*------------------------------------------------------***End***------------------------------------------------------*/

.scetion-rea .gallery-icon {
    overflow: hidden;
    border-radius: 20px;
    scale: 1
}

.scetion-rea .gallery-icon:hover img {
    scale: 1.1;
    transition: all 0.3s ease-in-out !important
}

/****/



.section-1-conteneur {
    --ext-column-gap: var(--column-gap)
}


.g-style-cont .pre-img-1 {
    grid-area: 1 / 1 / 2 / 2 !important;
    grid-column: 1 / 4 !important;
    grid-row: 1 / 5 !important;
}

.g-style-cont .col-2 {
    grid-area: 5 / 1 / 6 / 2 !important;
    grid-column: 3 / 1 !important;
    grid-row: 5 / 7 !important;
}

.g-style-cont .col-3 {
    grid-area: 1 / 4 / 2 / 5 !important;
    grid-column: 4 / 7 !important;
    grid-row: 1 / 3 !important;
}

.g-style-cont .col-4 {
    grid-area: 3 / 4 / 4 / 5 !important;
    grid-column: 3 / 7 !important;
    grid-row: 3 / 7 !important;
}

@media screen and (max-width: 1440px) {
    .g-style-cont .pre-img-1 {
        grid-column: 1 / 5 !important;
    }
}

@media screen and (max-width: 400px) {
    body div.g-style-cont {
        --display: flex !important;
        justify-content: center;
        flex-wrap: wrap;
    }
}

/******** Prestation style *******/
:root {
    --custom-height: 530px;
    --animation-time: 0.4s;
}

.presta-container .item-body {
    height: var(--custom-height) !important;
    overflow: hidden;
    border-radius: 20px
}

.presta-container .item-body .item-content section:before {
    content: "" !important;
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-image: linear-gradient(78deg, var(--e-global-color-color_2) 60%, var(--e-global-color-color_1)) !important;
    opacity: 0;
    transition: all var(--animation-time) ease-in-out
}

.presta-container .item-body>.imgCarContenair {
    height: 100% !important;
}

.presta-container .item-body .item-content p:empty {
    display: none !important;
}

.presta-container .item-body div.title-container h3 {
    color: var(--e-global-color-color_white);
    margin: 0;
}

.presta-container .item-body .title-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    transition: all var(--animation-time) ease-in-out;
}

.presta-container .item-body .item-content section {
    justify-content: flex-start !important;
    background-color: rgba(0, 0, 0, 0.4);
    gap: 20px;
    transition: all var(--animation-time) ease-in-out;
}

.presta-container .item-body .content-container {
    color: var(--e-global-color-color_white);
    transition: all var(--animation-time) ease-in-out;
}

.presta-container .item-body a.prest-btn {
    border: 1px solid white !important;
    width: 50px;
    aspect-ratio: 1 / 1;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 600px;
    transition: all var(--animation-time) ease-in-out;
}

.presta-container .item-body a.prest-btn:hover {
    background-color: var(--e-global-color-color_white);
}

.presta-container .item-body a.prest-btn:hover svg path {
    stroke: var(--e-global-color-color_1) !important
}

@media screen and (min-width:801px) {
    .presta-container .item-body .content-container {
        color: var(--e-global-color-color_white);
        opacity: 0;
    }

    .presta-container .item-body .title-container {
        transform: translateY(calc(var(--custom-height) * 0.75));
    }

    .presta-container .item-body:hover .title-container {
        transform: translateY(0px);

    }

    .presta-container .item-body:hover .content-container {
        opacity: 1;
    }

    .presta-container .item-body:hover .item-content section {
        background-color: rgba(0, 0, 0, 0) !important
    }

    .presta-container .item-body:hover .item-content section:before {
        opacity: 0.9
    }

    .presta-container .item-body:hover a.prest-btn {
        transform: rotate(90deg)
    }
}


@media screen and (max-width:800px) {
    .presta-container .item-body .item-content section {
        justify-content: center !important;
    }

    .presta-container .item-body .item-content section:before {
        opacity: 0.9 !important
    }
}

body .section-avis .ti-widget.ti-goog .ti-review-item>.ti-inner {
    background-color: #F0F4F0 !important;
    background: #F0F4F0 !important;
}

body .section-avis .ti-widget.ti-goog .ti-review-header:before {
    border-top-color: rgb(35 166 56 / 12%) !important;
}

@media screen and (min-width:1361px) {
    body .ti-widget.ti-goog .ti-controls .ti-prev {
        left: -40px;
    }

    body .ti-widget.ti-goog .ti-controls .ti-next {
        right: -40px;
    }
}

/***************/

.presta-container .slick-arrow {
    border: 1px solid white !important;
}

.actu-section figure.post-item-img {
    border-radius: 20px;
}

.actu-section a.post-item-read-more {
    display: flex !important;
    gap: 5px;
    margin-top: 10px !important;
    align-items: center;
    transition: all var(--animation-time) ease-in-out;
}

.actu-section .post-item-content-btn:hover a.post-item-read-more {
    color: var(--e-global-color-color_2) !important;
    gap: 8px;
}

.actu-section .post-item-content {
    z-index: 100 !important;
    position: relative;
}

/***/

a[href^="tel:"] {
    display: inline-block
}

a[href^="tel:"]:hover {
    text-decoration: underline;
    text-underline-offset: 4px;
}




/*------------------------------------------------------***Begin Pages internes Style***------------------------------------------------------*/


/*------------------------------------------------------***End***------------------------------------------------------*/


/*------------------------------------------------------***Begin Home page Style***------------------------------------------------------*/

/**************************************Style : PRE-HOME*********************************/


/**************************************Style : SLIDER HOME*********************************/

.prime-slide-general .bdt-prime-slider .bdt-slideshow-items li>div {
    height: 100% !important;
    min-height: inherit !important;
}

.col-slider-inner-content>.e-con-inner {
    margin-right: 0px !important;
    margin-left: auto !important;
}


/**************************************Style : section_presentation*********************************/


/**************************************Style : section_prestations*********************************/


/**************************************Style : section_Actualites*********************************/


/**************************************Style : section_Realisations*********************************/


/**************************************Style : section_valeurs*********************************/


/**************************************Style : section_points_forts*********************************/


/**************************************Style : section_avis*********************************/


/*--------------------------------------------------------------***End***----------------------------------------------------------------------*/



/*------------------------------------------------------***Begin footer style***------------------------------------------------------*/
.coherence-logo svg {
    width: 130px !important;
    height: auto !important;
}

.coherence-logo svg * {
    fill: #fff !important;
}

.menu-main-footer .hide-sub-mn .sub-menu,
.menu-main-footer .hide-sub-mn .sub-arrow {
    display: none !important;
}


/*------------------------------------------------------***End***------------------------------------------------------*/



/*------------------------------------------------------***Begin Responsive Media query style***------------------------------------------------------*/

/*------------***Large devices (desktops, more than 800px)***------------*/
@media only screen and (min-width: 801px) {

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Large devices (desktops, less than 1501px)***------------*/
@media only screen and (max-width: 1500px) {

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Large devices (desktops, less than 1361px)***------------*/
@media only screen and (max-width: 1360px) {

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Large devices (desktops, less than 1281px)***------------*/
@media only screen and (max-width: 1280px) {

    /*style header*/

    /*style main content*/

    /*style footer*/
}


@media only screen and (max-width: 1200px) {

    /*style header*/

    /*style main content*/

    /*style footer*/

}


/*------------***Medium devices (tablets, less than 1025px)***------------*/
@media only screen and (max-width: 1024px) {

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Medium devices (tablets, Bootstrap less than 993px)***------------*/
@media only screen and (max-width: 992px) {

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Tablet Media query style***------------*/
@media only screen and (max-width: 800px) {
    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Tablet Mini Media query style***------------*/
@media only screen and (max-width: 767px) {

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Between Big Mobile and Tablet Media query style***------------*/
@media only screen and (min-width: 601px) and (max-width: 800px) {

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Begin Big Mobile Media query style***------------*/
@media only screen and (max-width: 600px) {

    /*style header*/

    /*style main content*/
    #site-header .coherence-content-box:hover .elementor-icon svg path {
        fill: var(--e-global-color-color_2) !important
    }

    #site-header .coherence-content-box .elementor-coherence-core-content-box-icon {
        display: flex !important
    }

    #site-header .coherence-content-box:has(a[href^="tel:"]) .elementor-coherence-core-content-box-wrapper {
        position: relative
    }

    #site-header .coherence-content-box:has(a[href^="tel:"]) .elementor-coherence-core-content-box-content {
        position: absolute !important;
        width: 100%;
        height: 100%
    }

    #site-header .coherence-content-box:has(a[href^="tel:"]) .elementor-coherence-core-content-box-content a[href^="tel:"] {
        display: flex;
        width: 100%;
        height: 100%
    }

    /*style footer*/
    .menu-main-footer .coherence-core-nav-menu a {
        justify-content: center !important;
    }

}

/*------------***Between Mobile and Tablet Media query style***------------*/
@media only screen and (min-width: 498px) and (max-width: 600px) {

    /*style header*/

    /*style main content*/

    /*style footer*/

}

/*------------***Mobile Media query style***------------*/
@media only screen and (max-width: 497px) {

    /*style header*/

    /*style main content*/

    /*style footer*/
}

/*------------------------------------------------------***End Media query***------------------------------------------------------*/